SIR {JADE} | R Documentation

## Signal to Interference Ratio

### Description

Computes the signal to interference ratio between true and estimated signals

### Usage

    SIR(S, S.hat)

### Arguments

`S` | Matrix or dataframe with the true numeric signals.
`S.hat` | Matrix or dataframe with the estimated numeric signals.

### Details

The signal to interference ratio is measured in dB and values over 20 are thought to be good. It is scale and permutation invariant and can be seen as measuring the correlation between the matched true and estimated signals.

### Value

The value of the signal to interference ratio.

### Author(s)

Klaus Nordhausen

### References

Eriksson, J., Karvanen, J. and Koivunen, V. (2000), Source distribution adaptive maximum likelihood estimation in ICA model, Proceedings of the second international workshop on independent component analysis and blind source separation (ICA 2000), 227–232.

### See Also

`amari.error`, `ComonGAP`

### Examples

    S <- cbind(rt(1000, 4), rnorm(1000), runif(1000))
    A <- matrix(rnorm(9), ncol = 3)
    X <- S %*% t(A)

    S.hat <- JADE(X, 3)$S
    SIR(S, S.hat)

[Package JADE version 2.0-2 Index]